POST api/testQuestion/Submit?testId={testId}&userId={userId}

No documentation available.

Request Information

Parameters

NameDescriptionAdditional information
testId
No documentation available.

Define this parameter in the request URI.

userId
No documentation available.

Define this parameter in the request URI.

answers
No documentation available.

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
[
  {
    "Key": 1,
    "Value": 2
  },
  {
    "Key": 1,
    "Value": 2
  },
  {
    "Key": 1,
    "Value": 2
  }
]

application/xml, text/xml

Sample:
<ArrayOfIntAnInt xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DAL.DTO">
  <IntAnInt>
    <Key>1</Key>
    <Value>2</Value>
  </IntAnInt>
  <IntAnInt>
    <Key>1</Key>
    <Value>2</Value>
  </IntAnInt>
  <IntAnInt>
    <Key>1</Key>
    <Value>2</Value>
  </IntAnInt>
</ArrayOfIntAnInt>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

No documentation available.

Response body formats

application/json, text/json

Sample:
{
  "st_Id": 1,
  "st_Staff_Id": "sample string 2",
  "st_TestId": 3,
  "st_Score": 1,
  "st_CreateDate": "2026-03-06T07:25:22.9003891+08:00",
  "Tab_WX_Staff_Test_Quesion": [
    {
      "stq_Id": 1,
      "stq_StaffTestId": 1,
      "stq_QuesionId": 3,
      "stq_Score": 1.0,
      "Tab_WX_Staff_Test_Answer": [
        {
          "sta_Id": 1,
          "sta_StaffTestQuesion_Id": 1,
          "sta_TestQuestionAnswerId": 3
        }
      ]
    }
  ]
}

application/xml, text/xml

Sample:
<Tab_WX_Staff_Test xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DAL.DTO">
  <Tab_WX_Staff_Test_Quesion>
    <Tab_WX_Staff_Test_Quesion>
      <Tab_WX_Staff_Test_Answer>
        <Tab_WX_Staff_Test_Answer>
          <sta_Id>1</sta_Id>
          <sta_StaffTestQuesion_Id>1</sta_StaffTestQuesion_Id>
          <sta_TestQuestionAnswerId>3</sta_TestQuestionAnswerId>
        </Tab_WX_Staff_Test_Answer>
      </Tab_WX_Staff_Test_Answer>
      <stq_Id>1</stq_Id>
      <stq_QuesionId>3</stq_QuesionId>
      <stq_Score>1</stq_Score>
      <stq_StaffTestId>1</stq_StaffTestId>
    </Tab_WX_Staff_Test_Quesion>
  </Tab_WX_Staff_Test_Quesion>
  <st_CreateDate>2026-03-06T07:25:22.9003891+08:00</st_CreateDate>
  <st_Id>1</st_Id>
  <st_Score>1</st_Score>
  <st_Staff_Id>sample string 2</st_Staff_Id>
  <st_TestId>3</st_TestId>
</Tab_WX_Staff_Test>